# Schema for the configuration files of the exlink module.

extlink.settings:
  type: config_object
  label: 'External Links Settings'
  mapping:
    extlink_target:
      type: boolean
      label: 'Open external links in a new tab'
    extlink_target_no_override:
      type: boolean
      label: 'Do not override target="*" if set'
    extlink_nofollow:
      type: boolean
      label: 'Tag external links as "no follow"'
    extlink_follow_no_override:
      type: boolean
      label: 'Do not override rel="follow" if set'
    extlink_subdomains:
      type: boolean
      label: 'Consider subdomains internal'
    extlink_alert:
      type: boolean
      label: 'Enable Pop-up warnings'
    extlink_alert_text:
      type: text
      label: 'Message to display when Pop-up warning is shown'
    extlink_exclude:
      type: string
      label: 'Exclude links matching the pattern'
    extlink_include:
      type: string
      label: 'Include links matching the pattern'
    extlink_class:
      type: string
      label: 'Add icon to external links'
    extlink_label:
      type: label
      label: 'Alternative text for external link icon'
    extlink_img_class:
      type: boolean
      label: 'Treat images wrapped in an anchor tag as external links'
    extlink_css_exclude:
      type: string
      label: 'Comma-separated list of CSS selectors to exclude'
    extlink_css_explicit:
      type: string
      label: 'Comma-separated list of CSS selectors to include'
    extlink_mailto_class:
      type: string
      label: 'Add icon to mailto links'
    extlink_mailto_label:
      type: label
      label: 'Alternative text for mailto icon'
    extlink_use_font_awesome:
      type: boolean
      label: 'Use Font Awesome icons instead of images.'
    extlink_font_awesome_classes:
      type: mapping
      label: 'Font Awesome icon classes'
      mapping:
        links:
          type: string
          label: 'External link classes'
        mailto:
          type: string
          label: 'Mailto link classes'
    extlink_icon_placement:
      type: string
      label: 'Add icon in front of any processed link.'
    whitelisted_domains:
      type: sequence
      label: 'Whitelisted domains'
